Subject: Re: [RFC net-next 00/15] add basic PSP encryption for TCP connections

From: Jakub Kicinski <[email-masked]>
Date: Tue, 28 May 2024 11:09:24 -0700

On Tue, 28 May 2024 11:33:33 -0400 (EDT) Paul Wouters wrote:
> > It makes sense to work to get to an IETF standard protocol that
> > captures the same benefits. But that is independent from enabling what
> > is already implemented.  
> 
> How many different packet encryption methods should the linux kernel
> have? There are good reasons to go through standard bodies. Doing your
> own thing and then saying "but we did it already" to me does not feel
> like a strong argument. That's how we got wireguard with all of its
> issues of being written for a single use case, and now being unfit for
> generic use cases.

Now you made me curious. What's wrong with wireguard?
I have only heard good things.